gv/ghostscript trouble

gv/ghostscript trouble

Post by Nat » Wed, 04 Apr 2001 10:43:36



Hello all,

        I'm busy filling my Indigo2's meager 2GB disk with freeware.  I'd
like to be able to write papers on my new machine, but I can't seem to get
either ghostview or gv to work (TeX and Xemacs are all set).  Ghostview
gives me a PostScript interpreter error and shows blank pages (linux
version works fine on the same file), and spits out (or rather
ghostscript does) "rld: Fatal Error: cannot successfully map soname
'libpthread.so' under . . .".  GV, on the other hand, should work fine but
gives me "make:  Makefile:  syntax eroror on line 498".

        First of all, what is libpthread and where can I get it?  
freeware.sgi.com does not seem to have it, though I'm using their ghostscript
distribution.  On linux I need to run ldconfig sometimes- is there some
equivalent on Irix?  Second, has anyone dealt with GV and knows how to get
it to work? I'm no Makefile wizard, but I can't find any problems.  This
happens on both 3.5.8 and 3.4.12.  I'm using gcc, but that shouldn't be a
problem- Apache compiled without a problem.  I'd love it if there was a
binary of this somewhere. . . GV always seems much slicker.

        Profuse apologies if this is not the proper forum. . . if there's
a PS viewer included with IRIX, that'll work great too.

Thanks,
Nat Echols

 
 
 

gv/ghostscript trouble

Post by David B Anders » Wed, 04 Apr 2001 11:40:02




>Hello all,

>    I'm busy filling my Indigo2's meager 2GB disk with freeware.  I'd
>like to be able to write papers on my new machine, but I can't seem to get
>either ghostview or gv to work (TeX and Xemacs are all set).  Ghostview
>gives me a PostScript interpreter error and shows blank pages (linux
>version works fine on the same file), and spits out (or rather
>ghostscript does) "rld: Fatal Error: cannot successfully map soname
>'libpthread.so' under . . .".  GV, on the other hand, should work fine but
>gives me "make:  Makefile:  syntax eroror on line 498".

>    First of all, what is libpthread and where can I get it?  

See below.

Quote:>freeware.sgi.com does not seem to have it, though I'm using their ghostscript
>distribution.  On linux I need to run ldconfig sometimes- is there some
>equivalent on Irix?  Second, has anyone dealt with GV and knows how to get
>it to work? I'm no Makefile wizard, but I can't find any problems.  This
>happens on both 3.5.8 and 3.4.12.  I'm using gcc, but that shouldn't be a
>problem- Apache compiled without a problem.  I'd love it if there was a
>binary of this somewhere. . . GV always seems much slicker.

You should update to the latest patch set to get libpthread
and various fixes.

March 30, Scott Henry wrote, in comp.sys.sgi.apps:

|You need to install the POSIX patch set, which contains pthreads
|support. It can be downloaded from <URL:http://support.sgi.com/>

and that's the right advice for you too.

I'm making the obvious guess that since you don't have libpthread
you don't have IRIX6.5 on your machine.

Quote:>    Profuse apologies if this is not the proper forum. . . if there's

It's a proper forum.
It's nice if you search first though, and only ask if that fails.

Quote:>a PS viewer included with IRIX, that'll work great too.

xpsview.

You don't mention specifics like your IRIX release so I'll stop here.


 
 
 

gv/ghostscript trouble

Post by Rado Faleti » Wed, 04 Apr 2001 11:40:33


why don't you just download *all* of these programs from
freeware.sgi.com (or one if it's mirrors)?

As for makefiles, are you using the standard IRIX 'make' or GNU 'gmake'?
You should use gmake for compiling any GNU software.


> Hello all,

>         I'm busy filling my Indigo2's meager 2GB disk with freeware.  I'd
> like to be able to write papers on my new machine, but I can't seem to get
> either ghostview or gv to work (TeX and Xemacs are all set).  Ghostview
> gives me a PostScript interpreter error and shows blank pages (linux
> version works fine on the same file), and spits out (or rather
> ghostscript does) "rld: Fatal Error: cannot successfully map soname
> 'libpthread.so' under . . .".  GV, on the other hand, should work fine but
> gives me "make:  Makefile:  syntax eroror on line 498".

>         First of all, what is libpthread and where can I get it?
> freeware.sgi.com does not seem to have it, though I'm using their ghostscript
> distribution.  On linux I need to run ldconfig sometimes- is there some
> equivalent on Irix?  Second, has anyone dealt with GV and knows how to get
> it to work? I'm no Makefile wizard, but I can't find any problems.  This
> happens on both 3.5.8 and 3.4.12.  I'm using gcc, but that shouldn't be a
> problem- Apache compiled without a problem.  I'd love it if there was a
> binary of this somewhere. . . GV always seems much slicker.

>         Profuse apologies if this is not the proper forum. . . if there's
> a PS viewer included with IRIX, that'll work great too.

> Thanks,
> Nat Echols

 
 
 

1. ghostscript and gv for IRIX?

    I have had trouble compiling the ghostscript and gv (ghostview)
public domain source code
for my Indy (IRIX 5.3). Does the executable exist anywhere for
downloading?

    Thanks.

--

Mark Elliott                  |
Dept of Radiology             |    Voice: (215) 898-9357
University of Pennsylvania    |    FAX  : (215) 573-2113

2. Proxy sever

3. trouble compiling aladdin ghostscript 3.0 on Irix 4.0.5 (STILL!)

4. slip/ppp soware and web browser

5. trouble compiling aladdin ghostscript 3.0 on Irix 4.0.5

6. Central Ohio BuckCHI mtg on low-fi prototypes

7. gv 3.8.6

8. Help:Plotter driver for Roland dxy-980 Wanted.

9. gv under IRIX: anyone tried?

10. Ghostscript

11. Ghostscript 5.50

12. Aladdin Ghostscript binary???

13. Problems: Ghostscript 3.33 sgirgb device